こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

browser: epiphany に、adobe flash player がインストールできない。

browser: epiphany に、adobe flash player がインストールできないのですが。

http://www.adobe.com/software/flash/about/

を参考に、「ダウンロードアイコン」がでるので、試してみました。ですが、再読み込みしても、改善せず。

一方で、

c# ls
330a1700.exefreebsd_64R_disk
501a0900.exefreebsd_80R_disk
80.shindex.htm
80.sh.zipinstall_flash_player_10_linux.tar.gz
AdbeRdr70_linux_jpn.tar.gzinstall_flash_player_9.tar.gz
AdbeRdr9.2-1_i486linux_jpn.bininstall_flash_player_9_linux
AdobeReaderlbp350_driver
BOOT.FLPlha
KERN1.FLPlibflashplayer.so
KERN2.FLPprofile_1
freebsd_411Rsmb.conf
freebsd_54R_disksmb.conf~
marine:/home/umiboz/etc# cd install_flash_player_9_linux
marine:/home/umiboz/etc/install_flash_player_9_linux# ls
flashplayer-installer libflashplayer.so
marine:/home/umiboz/etc/install_flash_player_9_linux# ./flashplayer-installer

Copyright(C) 2002-2009 Adobe Macromedia Software LLC. All rights reserved.

Adobe Flash Player 9 for Linux

Adobe Flash Player 9 will be installed on this machine.

You are running the Adobe Flash Player installer as the "root" user.
Adobe Flash Player 9 will be installed system-wide.

Support is available at http://www.adobe.com/support/flashplayer/

To install Adobe Flash Player 9 now, press ENTER.

To cancel the installation at any time, press Control-C.



NOTE: Please exit any browsers you may have running.

Press ENTER to continue...



Please enter the installation path of the Mozilla, Netscape,
or Opera browser (i.e., /usr/lib/mozilla):

でも、「epiphany」を指定できず、困っています。

対処法をご鞭撻していただければ、と思います。

投稿日時 - 2009-12-16 19:46:52

QNo.5527334

困ってます

質問者が選んだベストアンサー

その表示の一番最後を見て下さい。
Please enter the installation path of the Mozilla, Netscape,
or Opera browser (i.e., /usr/lib/mozilla):
とありますね。
つまり、それらのどれかのパスを入力しなさいと求めています。
Firefox も Opera もインストールされてなければ、当然のことながら、それらへのパスもありませんから、インストールできない、という結果になっているのです。

対策は、#1 の方の回答にあるように、Firefox か Opera をインストールすること。

・・・なんですが、Epiphany に Flash Player をインストールできないわけでもないみたいです。
swfdec(unofficial)か、Gnash(unofficial)か、Flash Player (official) という Flash plugin package をインストールすればよいそうです。

具体的には端末から

 sudo apt-get install packagename

packagename には、swfdec-mozilla か mozilla-plugin-gnash か flashplugin-nonfree が入ります。

以上は下記のページに書かれていたことからの抜粋で、Java のインストールについても出ています。

http://www.freesoftwaremagazine.com/books/ubuntu_applications/epiphany

* なお、これは上記のページの受け売りで、私の環境で試したものではないことはお断りしておきます。

投稿日時 - 2009-12-17 17:25:39

補足

>flashplugin-nonfree

を 

aptitude install flashplugin-nonfree

で、事なきを得ました。わざわざ、リンク先まで貼っていただき、ありがとうございました。

たすかりました。

これにて、閉めきらせて頂きます。

投稿日時 - 2009-12-19 04:47:25

お礼

>sudo apt-get install packagename

小生のsouruces.list 以下のようですが、packagename がないと、叱られます。

/etc/apt/sources.list

deb http://ftp.jp.debian.org/debian lenny main contrib non-free
deb http://security.debian.org lenny/updates main contrib non-free
deb http://www.jp.backports.org lenny-backports main contrib non-free

deb http://ftp.de.debian.org/debian lenny main

投稿日時 - 2009-12-18 12:27:05

このQ&Aは役に立ちましたか?

2人が「このQ&Aが役に立った」と投票しています

回答(2)

ANo.1

そこのページに書いてあるように、epiphanyには対応してないのでは?
Firefoxあたりを使うしかないような気がしますが。

投稿日時 - 2009-12-17 11:33:31

あなたにオススメの質問